# PHTML::TextArea Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::TextArea:

List of all members.

## Public Member Functions

| TextArea (const char *fname, DisableCodes disabled=Enabled, const char *attr=NULL)
| TextArea (const char *fname, int rows, int cols, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~TextArea ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::TextArea::TextArea | ( | const char * | fname,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::TextArea::TextArea | ( | const char * | fname,
|  | int | rows,
|  | int | cols,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::TextArea::~TextArea | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PHTML::TextArea::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::FormField.

The documentation for this class was generated from the following file:

- html.h